Feature Proposal: Add UpdatesPlugin to default release

Motivation

The Extensions/UpdatesPlugin was developed during FoswikiCamp2011. The plugin is installed in a user wiki (Foswiki 1.1.3 or later) and notifies selected users when extension updates are available from foswiki.org.

Users elect themselves whether they want notification. Note: uses a similar mechanism as "configure" to obtain details of extension updates from Foswiki.org.

This cool plugin helps bring admins attention to new releases of extensions (and ultimately the core), and should help people stay up with the latest releases.

Description and Documentation

Add this plugin to the lib/MANIFEST

Yes, OK, so the plugin isn't even released yet; but this was the original goal of the development, and should be followed through

Outstanding issues

UpdatesPlugin has some outstanding issues that need to be resolved:
  1. It currently "phones" f.o from the browser. This raises an issue in a number of ways:
    1. No opportunity (other than cookies) to cache
    2. Load on f.o could be high as each admin has to phone home
    3. Network topology may block browser from talking to f.o
    4. same-origin constraints on the request
the solution is to proxy the request via the user's localhost (where the plugin is running). This also gives an opportunity to cache the report in that local server.

-- Contributors: CrawfordCurrie - 25 Nov 2011

Discussion

It would be cool to have this in 1.2 - any chance, Michael?

This topic was created 25 Nov 2011, no reason IMHO not to make that the committed date.

-- CrawfordCurrie - 21 Feb 2012

The plugin is ready to go right now. Question remaining is: do we make it a selling point of 1.2 or do we release it today independently?

-- MichaelDaum - 21 Feb 2012

Selling point. Let's leverage it.

-- CrawfordCurrie - 21 Feb 2012

This plugin has been dormant for too long ... as is development of 1.2.0 on the trunk branch. So I'd vote to get this out NOW and don't wait any longer.

-- MichaelDaum - 15 Jan 2013

We can mark this "Merged to Core" I suspect. There is a minor issue that the plugin claims some extensions require update that really don't due to version string comparison issues. But that's on a separate task.

-- GeorgeClark - 02 Apr 2014
Topic revision: r9 - 05 Jul 2015, GeorgeClark - This page was cached on 26 Sep 2016 - 02:28.

The copyright of the content on this website is held by the contributing authors, except where stated elsewhere. See Copyright Statement. Creative Commons License